Get all actual values
get
/fscmRestApi/resources/11.13.18.05/conformanceParameterActualValues
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds actual values of conformance parameters according to the conformance parameter actual value identifier specified as the primary key.
Finder Variables- ConformanceParameterActualValueId; integer; Value that uniquely identifies the conformance parameter actual value. It's a primary key that the application generates when it creates the conformance parameter actual value. This attribute is required.
- PrimaryKey Finds actual values of conformance parameters according to the conformance parameter actual value identifier specified as the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActualValue; number; Actual value recorded or measured for a conformance parameter.
- CategoryId; integer; Identifier of the inventory functional area category for which conformance parameters have been set.
- CategoryName; string; Name of the item category.
- ConformanceParameterActualValueId; integer; Identifier of the conformance parameter.
- ConformanceParameterAssignmentId; integer; Identifier of the conformance parameter actual value.
- ConformanceParameterId; integer; Identifier of the conformance parameter assignment.
- CreatedBy; string; User who created the record.
- CreationDate; string; Date and time when the record was created.
- DataType; string; Data type of the conformance parameter.
- DataTypeMeaning; string; Description of the data type.
- DecimalPrecision; integer; Identifier of the item for which the conformance parameters are set up.
- EnabledFlag; boolean; Flag that indicates whether the parameter is enabled.
- InventoryItemId; integer; Brief description of the inventory item.
- ItemDescription; string; User-defined item number.
- ItemNumber; string; Value that identifies if the type of basis is fixed or variable. If the resource consumption is fixed, it doesn't change according to the work order quantity. If it's variable, then the resource consumption isn't fixed. It might change according to work order quantity.
- LastUpdateDate; string; Date when the record was most recently updated.
- LastUpdateLogin; string; Login session used for the last update.
- LastUpdatedBy; string; User who last updated the record.
- LotNumber; string; Lot number of the inventory item for which actual values are being recorded.
- MaximumValue; number; Maximum acceptable value of the conformance parameter.
- MinimumValue; number; Minimum acceptable value of the conformance parameter.
- OrganizationId; integer; Organization associated with the conformance parameter.
- ParameterCode; string; Code of the conformance parameter.
- ParameterDescription; string; Description of the conformance parameter.
- UOMCode; string; Unit of measure code of the conformance parameter.
- UOMMeaning; string; Unit of measure used for the conformance parameter.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : conformanceParameterActualValues
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : conformanceParameterActualValues-item-response
Type:
Show Source
object-
ActualValue: number
Actual value recorded or measured for a conformance parameter.
-
CategoryId: integer
Read Only:
trueIdentifier of the inventory functional area category for which conformance parameters have been set. -
CategoryName: string
Read Only:
trueMaximum Length:255Name of the item category. -
ConformanceParameterActualValueId: integer
(int64)
Identifier of the conformance parameter.
-
ConformanceParameterAssignmentId: integer
(int64)
Identifier of the conformance parameter actual value.
-
ConformanceParameterId: integer
(int64)
Identifier of the conformance parameter assignment.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the record was created. -
DataType: string
Read Only:
trueMaximum Length:255Data type of the conformance parameter. -
DataTypeMeaning: string
Read Only:
trueMaximum Length:255Description of the data type. -
DecimalPrecision: integer
(int64)
Read Only:
trueIdentifier of the item for which the conformance parameters are set up. -
EnabledFlag: boolean
Read Only:
trueMaximum Length:1Flag that indicates whether the parameter is enabled. -
InventoryItemId: integer
(int64)
Brief description of the inventory item.
-
ItemDescription: string
Read Only:
trueMaximum Length:255User-defined item number. -
ItemNumber: string
Read Only:
trueMaximum Length:255Value that identifies if the type of basis is fixed or variable. If the resource consumption is fixed, it doesn't change according to the work order quantity. If it's variable, then the resource consumption isn't fixed. It might change according to work order quantity. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the record was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the record. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login session used for the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Maximum Length:
80Lot number of the inventory item for which actual values are being recorded. -
MaximumValue: number
Read Only:
trueMaximum acceptable value of the conformance parameter. -
MinimumValue: number
Read Only:
trueMinimum acceptable value of the conformance parameter. -
OrganizationId: integer
(int64)
Organization associated with the conformance parameter.
-
ParameterCode: string
Read Only:
trueMaximum Length:255Code of the conformance parameter. -
ParameterDescription: string
Read Only:
trueMaximum Length:255Description of the conformance parameter. -
UOMCode: string
Read Only:
trueMaximum Length:255Unit of measure code of the conformance parameter. -
UOMMeaning: string
Read Only:
trueMaximum Length:255Unit of measure used for the conformance parameter.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.